GET api/cabreaderapi/cabreader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CabReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| cab_reader_type_id | globally unique identifier |
Required |
|
| port_com | integer |
None. |
|
| baudrate | integer |
None. |
|
| handshake | integer |
Required |
|
| read_time_out | integer |
None. |
|
| write_time_out | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| site_id | globally unique identifier |
Required |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "d3e2cd1a-3bc0-47ff-9371-9230d31e3b3b",
"name": "sample string 2",
"cab_reader_type_id": "70f45eb5-8d88-4aa4-b712-ad74db10ae2f",
"port_com": 1,
"baudrate": 1,
"handshake": 4,
"read_time_out": 1,
"write_time_out": 1,
"pc_id": "00173bb3-b22b-4125-a77d-e156dba117e2",
"active": true,
"site_id": "eed7ef6c-e42b-4e2e-ab95-3e78fd91cd43",
"parity": 7,
"data_bits": 8,
"stop_bits": 9
}
application/xml, text/xml
Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <baudrate>1</baudrate> <cab_reader_type_id>70f45eb5-8d88-4aa4-b712-ad74db10ae2f</cab_reader_type_id> <data_bits>8</data_bits> <handshake>4</handshake> <id>d3e2cd1a-3bc0-47ff-9371-9230d31e3b3b</id> <name>sample string 2</name> <parity>7</parity> <pc_id>00173bb3-b22b-4125-a77d-e156dba117e2</pc_id> <port_com>1</port_com> <read_time_out>1</read_time_out> <site_id>eed7ef6c-e42b-4e2e-ab95-3e78fd91cd43</site_id> <stop_bits>9</stop_bits> <write_time_out>1</write_time_out> </cab_reader>